var mapper = mapperFactory.createMapperMult(["TlvReceitaTipo","EstProdPrincAtivos"]);
var obj = message;

var validar = function(){
	let tipoReceita = mapper.selectOne("TlvReceitaTipo.listarTlvReceitaTipo", {'cdReceitaTipo': obj.get('cdReceitaTipo')});
	if(tipoReceita == null){
		let receitaDefault = {'cdReceitaTipo': obj.get('cdReceitaTipo'), 'cdUniver': '', 'dsReceita': 'NÃO DEFINIDO', 'cdMsg':0};
		mapper.insert("TlvReceitaTipo.incluirTlvReceitaTipo", receitaDefault);
	}
};

try{
	validar();
	mapper.insert("EstProdPrincAtivos.incluirEstProdPrincAtivos", obj);
	mapper.commit();
	obj.get("cdPrincAtivos");
}catch(err){
	mapper.rollback();
	if(err.code)
    	throw JSON.stringify(err);
	else
		throw err;
	
}